package com.smugmugsoftware.airconcalc.advanced;

import android.content.Context;

public interface NewRoomFragmentInterface {
	
	public static final int WALL_CONST_NO = 1001;
	public static final int CEILING_FLOOR_CONST_NO = 1002;
	public static final int WINDOW_DOOR_CONST_NO = 1003;

	public static final int CEILING_WIZARD_SELECTION = 2000;
	public static final int CATHEDRAL_CEILING = 2001;
	public static final int VAULTED_CEILING = 2002;

	public static final int WINDOW_WIZARD_SELECTION = 2100;
	public static final int WINDOW_ARCHED = 2101;
	public static final int WINDOW_TRIANGULAR = 2102;
	public static final int WINDOW_HALF_ARCH = 2103;
	public static final int WINDOW_ELLIPSE = 2111;
	public static final int WINDOW_HALF_ELLIPSE = 2112;
	public static final int WINDOW_SQUARE = 2113;
	public static final int WINDOW_AREA = 2114;
	public static final int WINDOW_SHADE = 2115;

	public static final int SHADE_WIZARD_SELECTION = 2200;
	public static final int SHADE_OVERHANG = 2201;
	public static final int SHADE_PERCENTAGE = 2202;

	public static final int LOCALE_DIALOG = 2300;

	public void setEditText(int which, String s);
	public void setEditText(int which, double d);
	public void setEditText(int which, double[] d, int facing);
	public void setEditText(int which, double[] d);
	public void shadeAreaError();
	public void setEditText(int which, double[] d, String[] returnList);
	public void returnFromConfirmDialog(int dialogType, int type, long id);
	public Room forceSave();
	public long getRoomId();
	public void cancelScreen();
}
